=== fluid/po/Makefile ===
# Copyright 2005 Miriam Ruiz <little_miry@yahoo.es>
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA.

LOCALEDIR=./

all: fluid.pot build-stamp

fluid.pot:
	cd ..; xgettext -k_ -o po/fluid.pot -f po/i18n_files --from-code=iso-8859-1

build-stamp:
	for f in *.po; do i=`basename $$f .po`; echo Building Language \"$$i\"; msgfmt $$f -o $$i.mo; done
	touch build-stamp

clean:
	#for f in *.po; do i=`echo $$f | awk 'BEGIN {FS="."} {print $$1}'`; rm -rf "$$i"; done
	rm -f *.mo
	rm -f fluid.pot
	rm -f build-stamp

install: build-stamp
	for f in *.mo; do i=`basename $$f .mo`; echo Installing Language \"$$i\"; install -d $(LOCALEDIR)$$i; install -p -d -m 755 $(LOCALEDIR)$$i/LC_MESSAGES; install -m 644 $$f $(LOCALEDIR)$$i/LC_MESSAGES/fluid.mo; done

uninstall:
