=== debian/changelog ===
fltk1.1 (1.1.7-3) unstable; urgency=low

  * debian/po/pt.po: new (European) Portuguese translation for
    libfltk1.1-dev, courtesy of Pedro Ribeiro <p.m42.ribeiro@gmail.com>.
    (Closes: #410733.)
  * Declare (preexisting) compliance with Standards-Version: 3.7.2.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 21 Feb 2007 16:56:13 -0500

fltk1.1 (1.1.7-2) unstable; urgency=low

  * debian/po/it.po: new Italian Debconf translation for libfltk1.1-dev,
    thanks to Andrea Bolognani <eof@kiyuko.org>.  (Closes: #358191.)
  * Merge in more fixes from the 1.1 branch, whose likelihood of seeing
    another upstream release is highly uncertain; bump shlibs requirement
    because these add two new public methods.
  * (Build-)depend directly on libgl(u)1-mesa-dev by default (but keep
    the alternate [build-]dependencies on virtual packages, of course).
  * Install fluid-32.xpm, and use it as fluid's menu icon.
  * Move up to debhelper compatibility level 5, and make use of cdbs
    0.4.37's automatic -dbg package handling.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 16 Apr 2006 14:34:24 -0400

fltk1.1 (1.1.7-1) unstable; urgency=low

  * New upstream release; among many other things:
    - Fixes nonsensical sentence in documentation.  (Closes: #341747.)
    - Documents new foreground()/background() paradigm.  (Closes: #343550.)
  * Enable (newly added) Xinerama support and add an appropriate build
    dependency.
  * Build with the default GCC version on all architectures, as g++-4.0 no
    longer suffers from bug #336463 as of revision 4.0.2-4.  (Closes: #342965.)
  * Generally resynch and tidy up debian/rules.
  * Rework installation slightly, and install fluid's new .desktop files.
  * Update version info in pregenerated FLTKConfig.cmake, and stop shipping
    a redundant copy of FLTKUse.cmake now that it's materialized upstream.
  * Extend fluid's internationalization to the two new fluid-generated
    modules (print_panel and template_panel) and attempt (rather
    conservatively, as I know extremely little Spanish) to bring its
    Spanish translation up to date.  Further assistance, and for that
    matter a Spanish Debconf translation, would be appreciated.
  * Resynch with upstream SVN as of Jan. 31, which just adds some belated
    bugfixes.
  * Make fltk-config(.in) list indirect dependencies only for
    --ldstaticflags (vs. --ldflags), and accordingly downgrade most of
    libfltk1.1-dev's dependencies to suggestions.

 -- Aaron M. Ucko <ucko@debian.org>  Wed,  1 Feb 2006 18:02:47 -0500

fltk1.1 (1.1.6-10) unstable; urgency=low

  * Build with g++-3.4 on mips(el) to work around GCC bug #336463.

 -- Aaron M. Ucko <ucko@debian.org>  Sat,  5 Nov 2005 15:01:51 -0500

fltk1.1 (1.1.6-9) unstable; urgency=low

  * Internationalize fluid and add a Spanish translation, all thanks to
    Miriam Ruiz.  (Closes: #333401.)
  * Backport upstream patch to use (user-specified) FL_FOREGROUND_COLOR et
    al. more widely.  (Closes: #332489.)
  * Ship .cmake files (though cmake already supplies FindFLTK.cmake).
    (Closes: #333245.)

 -- Aaron M. Ucko <ucko@debian.org>  Fri,  4 Nov 2005 22:41:43 -0500

fltk1.1 (1.1.6-8) unstable; urgency=low

  * debian/control: drop long-obsolete alternate (build-)dependencies on
    ancient versions of xlibs-dev.
  * debian/po/*: force an update to ensure a proper Report-Msgid-Bugs-To field.
  * debian/po/sv.po: new Swedish translation, thanks to Daniel Nylander
    <po@danielnylander.se>.  (Closes: #331473.)
  * BTW, libfltk1.1-dev's merged templates file should now be encoded in
    UTF-8 throughout rather than in a hodgepodge of national encodings.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 10 Oct 2005 12:02:06 -0400

fltk1.1 (1.1.6-7) unstable; urgency=medium

  * Clean up build-dependencies now that the dust from the libglu1c2
    fiasco has settled.
  * Give Fl_Check_Browser an appropriate destructor to keep it from
    leaking memory.  (Closes: #321285, but affected programs may need to
    be recompiled to get the fix.)

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 11 Aug 2005 18:29:23 -0400

fltk1.1 (1.1.6-6) unstable; urgency=low

  * debian/po/vi.po: add a Vietnamese translation, thanks to Clytie
    Siddall <clytie@riverland.net.au>.  (Closes: #314172.)
  * debian/*: C++ transition.  (Closes: #317539.)
    - libfltk1.1c102 renamed back to libfltk1.1, as no package by that
      name ever appeared in a release; redundant conflicts dropped.
    - Make sure to use a post-transition libglu1c2 such as libglu1-xorg.
  * debian/control: standards-version 3.6.2 (already compliant).

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 12 Jul 2005 17:36:12 -0400

fltk1.1 (1.1.6-5) unstable; urgency=medium

  * Revert previous change, which seems to have been ineffective for some
    reason, in favor of commenting out the problematic Makefile rule
    altogether.  (Closes: #310151.)
  * debian/control: Go back to specifying the URL as part of the
    description rather than via a non-standard field that doesn't seem to
    have caught on.  (Closes: #310240.)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 22 May 2005 13:57:06 -0400

fltk1.1 (1.1.6-4) unstable; urgency=medium

  * debian/rules: touch configure to avoid trying to run autoconf as part
    of the build.  (This got lost when converting to CDBS years ago; I
    don't know why it didn't bite any of the many intervening releases.)

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 20 May 2005 17:40:16 -0400

fltk1.1 (1.1.6-3) unstable; urgency=medium

  * debian/po/cs.po: add a Czech translation, thanks to Miroslav Kure
    <kurem@debian.cz>.  (Closes: #308058.)
  * debian/po/ja.po: add a Japanese translation, thanks to Atsushi Shimono
    <shimono@kwasan.kyoto-u.ac.jp>.  (Closes: #309730.)

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 19 May 2005 21:17:45 -0400

fltk1.1 (1.1.6-2) unstable; urgency=low

  * test/*.cxx: Apply patch from Andreas Jochens <aj@andaco.de> to fix

