=== debian/control ===
Source: fltk1.1
Section: libs
Priority: optional
Maintainer: Aaron M. Ucko <ucko@debian.org>
Build-Depends: cdbs (>= 0.4.37), debhelper (>= 5), libjpeg62-dev, libpng12-dev, libxft-dev (>> 2.1.2), libxext-dev, libxinerama-dev, libx11-dev, zlib1g-dev | libz-dev, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev
Build-Depends-Indep: htmldoc
Standards-Version: 3.7.2

Package: fluid
Section: devel
Architecture: any
Depends: ${shlibs:Depends}
Recommends: libfltk1.1-dev
Suggests: fltk1.1-doc
Conflicts: libfltk1-dev
Replaces: libfltk1-dev
Description: Fast Light (Toolkit) User Interface Designer
 Fluid is an interactive GUI designer for the Fast Light Toolkit,
 allowing graphical development of FLTK-based user interfaces.  It
 natively works with (textual) .fl files, but also includes rough
 support for reading .fd files produced by fdesign (in libforms-bin).
 (FLTK is a very nice LGPLed cross-platform graphical user interface
 toolkit originally based on libForms.)
 .
 URL: http://www.fltk.org/

Package: libfltk1.1-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libfltk1.1 (= ${Source-Version}), libx11-dev
Recommends: libgl1-mesa-dev | libgl-dev
Suggests: fltk1.1-doc, fluid, libglu1-mesa-dev | libglu-dev, libjpeg62-dev, libpng12-0-dev, libxft-dev (>> 2.1.2), libxext-dev, libxinerama-dev, zlib1g-dev | libz-dev
Provides: libfltk-dev
Conflicts: libfltk-dev
Replaces: libfltk-dev
Description: Fast Light Toolkit development files
 Libfltk1.1-dev contains the files necessary for compiling programs
 that depend on FLTK, a very nice LGPLed cross-platform C++ GUI
 (graphical user interface) toolkit originally based on libForms.
 .
 URL: http://www.fltk.org/

Package: libfltk1.1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libfltk1.1c102
Replaces: libfltk1.1c102
Description: Fast Light Toolkit shared libraries
 Libfltk1.1 contains the files necessary for running programs
 dynamically linked with FLTK, a very nice LGPLed cross-platform
 graphical user interface toolkit originally based on libForms.
 .
 URL: http://www.fltk.org/

Package: libfltk1.1-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libfltk1.1 (= ${Source-Version})
Recommends: gdb (>= 6.0)
Conflicts: libfltk1.1c102-dbg
Replaces: libfltk1.1c102-dbg
Description: Fast Light Toolkit shared libraries (debugging symbols)
 This package is useful to provide a backtrace with symbol names in a
 debugger; this facilitates interpretation of core dumps, and aids in finding
 logic errors in programs using the libraries in this package (or the
 libraries themselves).
 .
 Non-programmers will likely have little use for this package.  See the
 libfltk1.1 package for more information.
 .
 URL: http://www.fltk.org/

Package: fltk1.1-doc
Section: doc
Architecture: all
Description: Fast Light Toolkit documentation
 Fltk1.1-doc contains documentation for FLTK, a very nice LGPLed
 cross-platform graphical user interface toolkit originally based on
 libForms, including a chapter on its user interface designer (fluid).
 .
 URL: http://www.fltk.org/
