=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/buildcore.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

# The original definition also includes -fno-exceptions, which we
# might as well punt so that throwing exceptions from callbacks
# actually works.  We also punt -Wall, which CDBS puts in CFLAGS.
FLTK_OPTIM="$(CFLAGS) -Wunused -Wno-format-y2k -fPIC -D_REENTRANT"

DEB_CONFIGURE_EXTRA_FLAGS  = --enable-shared --enable-threads --enable-xft \
                             --enable-xinerama --without-links
# We supply flags via OPTIM, but still need to set CC and CXX,
# particularly on certain architectures.
DEB_CONFIGURE_SCRIPT_ENV   = CC=$(CC) CXX=$(CXX)
DEB_MAKE_INVOKE            = $(MAKE) OPTIM=$(FLTK_OPTIM) STRIP=@:
DEB_MAKE_CHECK_TARGET      =
DEB_INSTALL_CHANGELOGS_ALL = CHANGES
DEB_INSTALL_DOCS_ALL       = CREDITS README
DEB_DH_INSTALL_SOURCEDIR   = debian/tmp
DEB_DH_MAKESHLIBS_ARGS     = -V 'libfltk1.1 (>= 1.1.7-2)'
DEB_DH_SHLIBDEPS_ARGS      = -l debian/libfltk1.1/usr/lib -Lfltk1.1

clean::
	rm -rf autom4te.cache
	rm -f fluid/fluid.app/Contents/MacOS/fluid
	rm -f test/*.app/Contents/MacOS/*

build/fltk1.1-doc::
	$(MAKE) -C documentation fltk.pdf fltk.ps

install/fluid::
	$(MAKE) -C fluid install-linux DESTDIR=$(DEB_DESTDIR)
	mkdir -p debian/tmp/usr/share/pixmaps
	cp fluid/icons/fluid-32.xpm debian/tmp/usr/share/pixmaps

install/libfltk1.1-dev::
	mkdir -p debian/tmp/usr/share/CMake/Modules
	cp CMake/FLTKUse.cmake debian/FLTKConfig.cmake \
	    debian/tmp/usr/share/CMake/Modules

binary-predeb/fluid:: binary-fixup/libfltk1.1
