=== debian/watch ===
version=2
# This is somewhat crude, and doesn't account for release candidates, but
# should at least get the last official release, for whatever that's worth.
ftp://ftp2.easysw.com/pub/fltk/(1\.1\.\d+)
